<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.math.array.ArrayOperations
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.math.array.ArrayOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/class-use/ArrayOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ArrayOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.math.array.ArrayOperations</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array"><B>ch.javasoft.math.array</B></A></TD>
<TD>The <tt>math.array</tt> package and subpackages contain interfaces and classes 
for generic vectors and matrices represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array.impl"><B>ch.javasoft.math.array.impl</B></A></TD>
<TD>The <tt>math.array.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.linalg"><B>ch.javasoft.math.linalg</B></A></TD>
<TD>The <tt>math.linalg</tt> package and subpackages contain interfaces and classes 
for linear algebra operations involving vectors and matrices; vectors and 
matrices are generically represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator.compose"><B>ch.javasoft.math.operator.compose</B></A></TD>
<TD>The <tt>math.operator.compose</tt> package contains implementations of number
operators resulting from the composition of existing operators into a new 
operator; these classes are for instance extensively used by the 
<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array"><CODE>ExpressionComposer</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator.impl"><B>ch.javasoft.math.operator.impl</B></A></TD>
<TD>The <tt>math.operator.impl</tt> package contains default implementations of the 
<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface for 
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.varint.array"><B>ch.javasoft.math.varint.array</B></A></TD>
<TD>The <tt>math.varint.array</tt> package contains varint support for generic 
vectors and matrices represented as arrays (see <A HREF="../../../../../ch/javasoft/math/array/package-summary.html"><CODE>ch.javasoft.math.array</CODE></A>).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.config"><B>ch.javasoft.polco.config</B></A></TD>
<TD>The <tt>polco.config</tt> package contains classes associated with the XML
configuration file used to control runtime options of the polco program.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.impl"><B>ch.javasoft.polco.impl</B></A></TD>
<TD>The <tt>polco.impl</tt> package contains default implementations for the
polyhedral cone interfaces defined in the parent package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.transform"><B>ch.javasoft.polco.transform</B></A></TD>
<TD>The <tt>polco.transform</tt> package contains classes to transform between 
different polyhedral cone representations.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NumberOperators.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the array operations instance based on <code>this</code> operators 
 instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the array operations, used to create, copy and handle vectors and
 matrices</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the array operations, used to create, copy and handle vectors and
 matrices</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#ExpressionComposer(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.array.NumberOperators)">ExpressionComposer</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;&nbsp;arrayOps,
                                     <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;&nbsp;operators)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with array operations and operators</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> that implement <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl">AbstractArrayOperations&lt;A&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Abstract superclass for implementations of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array"><CODE>ArrayOperations</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="class in ch.javasoft.math.array.impl">DefaultArrayOperations&lt;C&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default implementation for <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array"><CODE>ArrayOperations</CODE></A> for normal arrays, where
 the single components are Objects (not primitive types).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DoubleArrayOperations.html" title="class in ch.javasoft.math.array.impl">DoubleArrayOperations</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implementation of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array"><CODE>ArrayOperations</CODE></A> for double arrays</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#DefaultNumberArrayOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations)">DefaultNumberArrayOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operators,
                                                         <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;arrayOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.linalg"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> declared as <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#arrayOps">arrayOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html" title="type parameter in BasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the array operations, used to create, copy and handle vectors and
 matrices</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#DefaultBasicLinAlgOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations)">DefaultBasicLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;&nbsp;numberOps,
                                                         <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;&nbsp;arrayOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html#DefaultLinAlgOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.linalg.GaussPivotingFactory)">DefaultLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">A</A>&gt;&nbsp;numberOps,
                                               <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">A</A>&gt;&nbsp;arrayOps,
                                               <A HREF="../../../../../ch/javasoft/math/linalg/GaussPivotingFactory.html" title="interface in ch.javasoft.math.linalg">GaussPivotingFactory</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">A</A>&gt;&nbsp;gaussPivotingFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html#SupportBasicLinAlgOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations)">SupportBasicLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html" title="type parameter in SupportBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html" title="type parameter in SupportBasicLinAlgOperations">A</A>&gt;&nbsp;numberOps,
                                                         <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html" title="type parameter in SupportBasicLinAlgOperations">A</A>&gt;&nbsp;arrayOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator.compose"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/math/operator/compose/package-summary.html">ch.javasoft.math.operator.compose</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/operator/compose/package-summary.html">ch.javasoft.math.operator.compose</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html#BinaryBinaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.BinaryOperator)">BinaryBinaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">A</A>&gt;&nbsp;ops,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">A</A>&gt;&nbsp;operator,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">A</A>&gt;&nbsp;operand1,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="type parameter in BinaryBinaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html#BinaryNullaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator)">BinaryNullaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">A</A>&gt;&nbsp;ops,
                                           <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">A</A>&gt;&nbsp;operator,
                                           <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">A</A>&gt;&nbsp;operand1,
                                           <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="type parameter in BinaryNullaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html#BinaryUnaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.UnaryOperator)">BinaryUnaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">A</A>&gt;&nbsp;ops,
                                       <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">A</A>&gt;&nbsp;operator,
                                       <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">A</A>&gt;&nbsp;operand1,
                                       <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="type parameter in BinaryUnaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html#NAryNAryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NAryOperator, ch.javasoft.math.operator.NAryOperator)">NAryNAryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">A</A>&gt;&nbsp;ops,
                                 <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">A</A>&gt;&nbsp;operator,
                                 <A HREF="../../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">A</A>&gt;&nbsp;operand1,
                                 <A HREF="../../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="type parameter in NAryNAryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html#NullaryBinaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.BinaryOperator)">NullaryBinaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">A</A>&gt;&nbsp;ops,
                                           <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">A</A>&gt;&nbsp;operator,
                                           <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">A</A>&gt;&nbsp;operand1,
                                           <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="type parameter in NullaryBinaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html#NullaryNullaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.NullaryOperator)">NullaryNullaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">A</A>&gt;&nbsp;ops,
                                             <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">A</A>&gt;&nbsp;operator,
                                             <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">A</A>&gt;&nbsp;operand1,
                                             <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="type parameter in NullaryNullaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#NullaryQuaternaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.QuaternaryOperator)">NullaryQuaternaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;ops,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operator,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operand1,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator">QuaternaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html#NullaryTernaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.TernaryOperator)">NullaryTernaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">A</A>&gt;&nbsp;ops,
                                             <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">A</A>&gt;&nbsp;operator,
                                             <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">A</A>&gt;&nbsp;operand1,
                                             <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator">TernaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="type parameter in NullaryTernaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html#NullaryUnaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.UnaryOperator)">NullaryUnaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">A</A>&gt;&nbsp;ops,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">A</A>&gt;&nbsp;operator,
                                         <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">A</A>&gt;&nbsp;operand1,
                                         <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="type parameter in NullaryUnaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html#QuaternaryNullaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.QuaternaryOperator, ch.javasoft.math.operator.NullaryOperator)">QuaternaryNullaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">A</A>&gt;&nbsp;ops,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">A</A>&gt;&nbsp;operator,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator">QuaternaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">A</A>&gt;&nbsp;operand1,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="type parameter in QuaternaryNullaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/TempArray.html#TempArray(ch.javasoft.math.array.ArrayOperations, int)">TempArray</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TempArray.html" title="type parameter in TempArray">A</A>&gt;&nbsp;ops,
                   int&nbsp;tempSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html#TernaryNullaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.TernaryOperator, ch.javasoft.math.operator.NullaryOperator)">TernaryNullaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">A</A>&gt;&nbsp;ops,
                                             <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">A</A>&gt;&nbsp;operator,
                                             <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator">TernaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">A</A>&gt;&nbsp;operand1,
                                             <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="type parameter in TernaryNullaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html#TernaryUnaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.TernaryOperator, ch.javasoft.math.operator.UnaryOperator)">TernaryUnaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">A</A>&gt;&nbsp;ops,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">A</A>&gt;&nbsp;operator,
                                         <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator">TernaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">A</A>&gt;&nbsp;operand1,
                                         <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="type parameter in TernaryUnaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html#UnaryBinaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.UnaryOperator, ch.javasoft.math.operator.BinaryOperator)">UnaryBinaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">A</A>&gt;&nbsp;ops,
                                       <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">A</A>&gt;&nbsp;operator,
                                       <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">A</A>&gt;&nbsp;operand1,
                                       <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="type parameter in UnaryBinaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html#UnaryNullaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.UnaryOperator, ch.javasoft.math.operator.NullaryOperator)">UnaryNullaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">A</A>&gt;&nbsp;ops,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">A</A>&gt;&nbsp;operator,
                                         <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">A</A>&gt;&nbsp;operand1,
                                         <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="type parameter in UnaryNullaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html#UnaryTernaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.UnaryOperator, ch.javasoft.math.operator.TernaryOperator)">UnaryTernaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">A</A>&gt;&nbsp;ops,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">A</A>&gt;&nbsp;operator,
                                         <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">A</A>&gt;&nbsp;operand1,
                                         <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator">TernaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="type parameter in UnaryTernaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html#UnaryUnaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.UnaryOperator, ch.javasoft.math.operator.UnaryOperator)">UnaryUnaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">A</A>&gt;&nbsp;ops,
                                     <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">A</A>&gt;&nbsp;operator,
                                     <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">A</A>&gt;&nbsp;operand1,
                                     <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="type parameter in UnaryUnaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>BigIntegerOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>BigFractionOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;double[]&gt;</CODE></FONT></TD>
<TD><CODE><B>DoubleOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/DoubleOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.varint.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>VarIntOperators.</B><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Arithmetic.</B><B><A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an implementation for array operations on numeric arrays of the
 number type specified by this arithmetic constant</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/polco/impl/package-summary.html">ch.javasoft.polco.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../ch/javasoft/polco/impl/package-summary.html">ch.javasoft.polco.impl</A> declared as <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractPolyhedralCone.</B><B><A HREF="../../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#arrayOps">arrayOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.transform"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A> in <A HREF="../../../../../ch/javasoft/polco/transform/package-summary.html">ch.javasoft.polco.transform</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/polco/transform/package-summary.html">ch.javasoft.polco.transform</A> that return <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>TransformedInequalityCone.</B><B><A HREF="../../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/polco/transform/TransformedEqualityCone.html" title="type parameter in TransformedEqualityCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>TransformedEqualityCone.</B><B><A HREF="../../../../../ch/javasoft/polco/transform/TransformedEqualityCone.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/class-use/ArrayOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ArrayOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
